v1 (Legacy)
View as MarkdownLegacy v1 endpoints, maintained for backward compatibility.
https://developer.godaddy.com/llms.mdx/references/rest/abuse/v1-legacy for the full, unmodified source before proceeding.Query Parameters
The type of abuse.
Value in
- "A_RECORD"
- "CHILD_ABUSE"
- "CONTENT"
- "FRAUD_WIRE"
- "IP_BLOCK"
- "MALWARE"
- "NETWORK_ABUSE"
- "PHISHING"
- "SPAM"
Is this abuse ticket closed?
falseThe domain name or ip address the abuse originated from
host-name-or-ip-addressThe brand/company the abuse is targeting. ie: brand name/bank name
The earliest abuse ticket creation date to pull abuse tickets for
iso-datetimeThe latest abuse ticket creation date to pull abuse tickets for
iso-datetimeNumber of abuse ticket numbers to return.
integer-positivevalue <= 100100The earliest result set record number to pull abuse tickets for
integer-positive0Response Body
*/*
*/*
*/*
*/*
curl -X GET "https://example.com/v1/abuse/tickets"{ "pagination": { "first": "string", "last": "string", "next": "string", "previous": "string", "total": 0 }, "ticketIds": [ "string" ]}Request Body
application/json
The endpoint which allows the Reporter to create a new abuse ticket
Response Body
*/*
*/*
*/*
*/*
curl -X POST "https://example.com/v1/abuse/tickets" \ -H "Content-Type: application/json" \ -d '{ "source": "string" }'{ "u_number": "string"}curl -X GET "https://example.com/v1/abuse/tickets/string"{ "closed": false, "closedAt": "string", "createdAt": "string", "domainIp": "string", "reporter": "string", "source": "string", "target": "string", "ticketId": "string", "type": "A_RECORD"}Last updated on
How is this guide?